%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-CGI-FastTemplate
Version:        1.09
Release:        1
Summary:        Perl extension for managing templates and performing variable interpolation

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/CGI-FastTemplate/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JM/JMOORE/CGI-FastTemplate-1.09.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8

%description
CGI::FastTemplate manages templates and parses templates replacing
variable names with values.  It was designed for mid to large scale web
applications (CGI, mod_perl) where there are great benefits to separating
the logic of an application from the specific implementation details.


%prep
%setup -q -n CGI-FastTemplate-%{version}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sat Dec 06 2008 Michael Perzl <michael@perzl.org> - 1.09-1
- first version for AIX V5.1 and higher
